Create a Reversing Transaction
curl --request POST \
--url https://api.virtuoussoftware.com/api/Gift/ReversingTransaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"giftDate": "<dateTime>",
"reversedGiftId": "<integer>",
"notes": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({giftDate: '<dateTime>', reversedGiftId: '<integer>', notes: '<string>'})
};
fetch('https://api.virtuoussoftware.com/api/Gift/ReversingTransaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Gift/ReversingTransaction"
payload = {
"giftDate": "<dateTime>",
"reversedGiftId": "<integer>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Gift/ReversingTransaction");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"giftDate\": \"<dateTime>\",\n \"reversedGiftId\": \"<integer>\",\n \"notes\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Gift/ReversingTransaction",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'giftDate' => '<dateTime>',
'reversedGiftId' => '<integer>',
'notes' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/Gift/ReversingTransaction")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"giftDate\": \"<dateTime>\",\n \"reversedGiftId\": \"<integer>\",\n \"notes\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Gift/ReversingTransaction")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"giftDate\": \"<dateTime>\",\n \"reversedGiftId\": \"<integer>\",\n \"notes\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Gift/ReversingTransaction';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({giftDate: '<dateTime>', reversedGiftId: '<integer>', notes: '<string>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 500142,
"transactionSource": null,
"transactionId": null,
"contactId": 100234,
"contactName": "Marcus Castellano",
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/100234",
"giftType": "Check",
"giftTypeFormatted": "Check",
"giftDate": "2025-10-12T00:00:00Z",
"giftDateFormatted": "10/12/2025",
"amount": -1000,
"amountFormatted": "-$1,000.00",
"currencyCode": "USD",
"exchangeRate": 1,
"baseCurrencyCode": "USD",
"batch": "4421",
"createDateTimeUtc": "2025-10-12T14:18:55Z",
"createdByUser": "Data Import",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration",
"segmentId": 2012,
"segment": "Capital Campaign — Phase II",
"segmentCode": "CAP-2012",
"segmentUrl": "https://api.virtuoussoftware.com/api/Segment/2012",
"mediaOutletId": null,
"mediaOutlet": null,
"grantId": null,
"grant": null,
"grantUrl": null,
"notes": "Reversing transaction for gift 500142",
"tribute": null,
"tributeId": null,
"tributeType": null,
"acknowledgeeIndividualId": null,
"receiptDate": "2025-10-13T08:00:00Z",
"receiptDateFormatted": "10/13/2025",
"contactPassthroughId": null,
"contactPassthroughUrl": null,
"contactIndividualId": 200234,
"cashAccountingCode": null,
"giftAskId": null,
"contactMembershipId": null,
"giftDesignations": [
{
"id": 600210,
"projectId": 1503,
"project": "Building Renovation",
"projectCode": "CAP-RENO",
"externalAccountingCode": "4400",
"projectType": "Capital",
"projectLocation": "Springfield, OR",
"projectUrl": "https://api.virtuoussoftware.com/api/Project/1503",
"amountDesignated": -1000,
"display": "Building Renovation (-$1,000.00)"
}
],
"giftPremiums": [],
"pledgePayments": [
{
"id": 900201,
"expectedPaymentDate": "2025-10-01T00:00:00Z",
"expectedAmount": 1000,
"giftId": 500142,
"actualAmount": 1000
}
],
"recurringGiftPayments": [],
"giftUrl": "https://api.virtuoussoftware.com/api/Gift/500142",
"isPrivate": false,
"isTaxDeductible": true,
"customFields": [
{
"name": "SourceCode",
"value": "CAP-2012-MAIL",
"displayName": "Source Code"
},
{
"name": "AcknowledgementSent",
"value": "true",
"displayName": "Acknowledgement Sent"
}
]
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}How to Create and Update Gifts
Create a Reversing Transaction
Creates a new reversing transaction and uses the gift identifier specified to negate the amount and splits applied.
POST
/
api
/
Gift
/
ReversingTransaction
Create a Reversing Transaction
curl --request POST \
--url https://api.virtuoussoftware.com/api/Gift/ReversingTransaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"giftDate": "<dateTime>",
"reversedGiftId": "<integer>",
"notes": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({giftDate: '<dateTime>', reversedGiftId: '<integer>', notes: '<string>'})
};
fetch('https://api.virtuoussoftware.com/api/Gift/ReversingTransaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Gift/ReversingTransaction"
payload = {
"giftDate": "<dateTime>",
"reversedGiftId": "<integer>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Gift/ReversingTransaction");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"giftDate\": \"<dateTime>\",\n \"reversedGiftId\": \"<integer>\",\n \"notes\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Gift/ReversingTransaction",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'giftDate' => '<dateTime>',
'reversedGiftId' => '<integer>',
'notes' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/Gift/ReversingTransaction")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"giftDate\": \"<dateTime>\",\n \"reversedGiftId\": \"<integer>\",\n \"notes\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Gift/ReversingTransaction")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"giftDate\": \"<dateTime>\",\n \"reversedGiftId\": \"<integer>\",\n \"notes\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Gift/ReversingTransaction';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({giftDate: '<dateTime>', reversedGiftId: '<integer>', notes: '<string>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 500142,
"transactionSource": null,
"transactionId": null,
"contactId": 100234,
"contactName": "Marcus Castellano",
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/100234",
"giftType": "Check",
"giftTypeFormatted": "Check",
"giftDate": "2025-10-12T00:00:00Z",
"giftDateFormatted": "10/12/2025",
"amount": -1000,
"amountFormatted": "-$1,000.00",
"currencyCode": "USD",
"exchangeRate": 1,
"baseCurrencyCode": "USD",
"batch": "4421",
"createDateTimeUtc": "2025-10-12T14:18:55Z",
"createdByUser": "Data Import",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration",
"segmentId": 2012,
"segment": "Capital Campaign — Phase II",
"segmentCode": "CAP-2012",
"segmentUrl": "https://api.virtuoussoftware.com/api/Segment/2012",
"mediaOutletId": null,
"mediaOutlet": null,
"grantId": null,
"grant": null,
"grantUrl": null,
"notes": "Reversing transaction for gift 500142",
"tribute": null,
"tributeId": null,
"tributeType": null,
"acknowledgeeIndividualId": null,
"receiptDate": "2025-10-13T08:00:00Z",
"receiptDateFormatted": "10/13/2025",
"contactPassthroughId": null,
"contactPassthroughUrl": null,
"contactIndividualId": 200234,
"cashAccountingCode": null,
"giftAskId": null,
"contactMembershipId": null,
"giftDesignations": [
{
"id": 600210,
"projectId": 1503,
"project": "Building Renovation",
"projectCode": "CAP-RENO",
"externalAccountingCode": "4400",
"projectType": "Capital",
"projectLocation": "Springfield, OR",
"projectUrl": "https://api.virtuoussoftware.com/api/Project/1503",
"amountDesignated": -1000,
"display": "Building Renovation (-$1,000.00)"
}
],
"giftPremiums": [],
"pledgePayments": [
{
"id": 900201,
"expectedPaymentDate": "2025-10-01T00:00:00Z",
"expectedAmount": 1000,
"giftId": 500142,
"actualAmount": 1000
}
],
"recurringGiftPayments": [],
"giftUrl": "https://api.virtuoussoftware.com/api/Gift/500142",
"isPrivate": false,
"isTaxDeductible": true,
"customFields": [
{
"name": "SourceCode",
"value": "CAP-2012-MAIL",
"displayName": "Source Code"
},
{
"name": "AcknowledgementSent",
"value": "true",
"displayName": "Acknowledgement Sent"
}
]
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Body
application/json
Response
OK
Last modified on April 23, 2026
Was this page helpful?